package com.prolog.cs.biz.outbound.model.entity;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

import static com.prolog.framework.core.annotation.Column.JdbcType_VARCHAR;

@ApiModel
@Table(value = "WMS_BARCODE_D", appendDefaultJdbcType = true, camelToUnderline = true)
public class BarCodeDDO extends BaseModel implements Serializable {
    private static final long serialVersionUID = 5310262980096843743L;
    @Id
    @ApiModelProperty(value = "ID")
    @Column(value = "id")
    private String id;

    @ApiModelProperty(value = "条码头表id")
    @Column(value = "barcode_id")
    private String barcodeId;

    @ApiModelProperty(value = "拣选任务明细id")
    @Column(value = "wms_pick_task_d_id")
    private String wmsPickTaskDId;

    @ApiModelProperty(value = "数量")
    @Column(value = "qty")
    private BigDecimal qty;

    @ApiModelProperty(value = "仓库id")
    @Column(value = "warehouse_id")
    private String warehouseId;
    @ApiModelProperty(value = "商品编码")
    @Column(value = "item_code")
    private String itemCode;

    @ApiModelProperty(value = "容器编码-整件拣货拆分后是 当前箱号/总箱数；未拆分是总箱数(即qty)")
    @Column(value = "container_code")
    private String containerCode;

    @ApiModelProperty(value = "商品id")
    @Column(value = "item_id", jdbcType = JdbcType_VARCHAR)
    private String itemId;

    @ApiModelProperty(value = "是否散件：0=否 1=是")
    @Column(value = "is_piece")
    private Integer isPiece;

    @ApiModelProperty(value = "复核状态")
    @Column(value = "check_status")
    private String checkStatus;

    @ApiModelProperty(value = "打印次数")
    @Column(value = "print_cnt")
    private Integer printCnt;

    @ApiModelProperty(value = "任务类型：0拣货1补货")
    @Ignore
    private Integer taskType;


    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public Integer getPrintCnt() {
        return printCnt;
    }

    public void setPrintCnt(Integer printCnt) {
        this.printCnt = printCnt;
    }

    public Integer getIsPiece() {
        return isPiece;
    }

    public void setIsPiece(Integer isPiece) {
        this.isPiece = isPiece;
    }

    public String getContainerCode() {
        return containerCode;
    }

    public void setContainerCode(String containerCode) {
        this.containerCode = containerCode;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBarcodeId() {
        return barcodeId;
    }

    public void setBarcodeId(String barcodeId) {
        this.barcodeId = barcodeId;
    }

    public String getWmsPickTaskDId() {
        return wmsPickTaskDId;
    }

    public void setWmsPickTaskDId(String wmsPickTaskDId) {
        this.wmsPickTaskDId = wmsPickTaskDId;
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }
}
